org.eclipse.viatra.query.tooling.generator.model.parser.antlr.internal

## Class InternalGeneratorModelLexer

- java.lang.Object
- - org.antlr.runtime.BaseRecognizer
  - - org.antlr.runtime.Lexer
    - - org.eclipse.xtext.parser.antlr.Lexer
      - - org.eclipse.viatra.query.tooling.generator.model.parser.antlr.internal.InternalGeneratorModelLexer

- All Implemented Interfaces:
    org.antlr.runtime.TokenSource

      public class InternalGeneratorModelLexer
      extends org.eclipse.xtext.parser.antlr.Lexer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.eclipse.viatra.query.tooling.generator.model.parser.antlr.internal.InternalGeneratorModelLexer.DFA12` | `dfa12`
    `static int` | `EOF`
    `static int` | `RULE_ANY_OTHER`
    `static int` | `RULE_ID`
    `static int` | `RULE_INT`
    `static int` | `RULE_ML_COMMENT`
    `static int` | `RULE_SL_COMMENT`
    `static int` | `RULE_STRING`
    `static int` | `RULE_WS`
    `static int` | `T__11`
    `static int` | `T__12`
    `static int` | `T__13`
    `static int` | `T__14`

    - ### Fields inherited from class org.antlr.runtime.Lexer

      `input`

    - ### Fields inherited from class org.antlr.runtime.BaseRecognizer

      `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalGeneratorModelLexer()`
    `InternalGeneratorModelLexer(org.antlr.runtime.CharStream input)`
    `InternalGeneratorModelLexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getGrammarFileName()`
    `void` | `mRULE_ANY_OTHER()`
    `void` | `mRULE_ID()`
    `void` | `mRULE_INT()`
    `void` | `mRULE_ML_COMMENT()`
    `void` | `mRULE_SL_COMMENT()`
    `void` | `mRULE_STRING()`
    `void` | `mRULE_WS()`
    `void` | `mT__11()`
    `void` | `mT__12()`
    `void` | `mT__13()`
    `void` | `mT__14()`
    `void` | `mTokens()`

    - ### Methods inherited from class org.eclipse.xtext.parser.antlr.Lexer

      `emitErrorMessage, getErrorMessage, nextToken`

    - ### Methods inherited from class org.antlr.runtime.Lexer

      `emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

    - ### Methods inherited from class org.antlr.runtime.BaseRecognizer

      `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RULE_ID

          public static final int RULE_ID

      See Also:
        Constant Field Values

    - #### RULE_WS

          public static final int RULE_WS

      See Also:
        Constant Field Values

    - #### RULE_STRING

          public static final int RULE_STRING

      See Also:
        Constant Field Values

    - #### RULE_ANY_OTHER

          public static final int RULE_ANY_OTHER

      See Also:
        Constant Field Values

    - #### RULE_SL_COMMENT

          public static final int RULE_SL_COMMENT

      See Also:
        Constant Field Values

    - #### RULE_INT

          public static final int RULE_INT

      See Also:
        Constant Field Values

    - #### T__11

          public static final int T__11

      See Also:
        Constant Field Values

    - #### RULE_ML_COMMENT

          public static final int RULE_ML_COMMENT

      See Also:
        Constant Field Values

    - #### T__12

          public static final int T__12

      See Also:
        Constant Field Values

    - #### T__13

          public static final int T__13

      See Also:
        Constant Field Values

    - #### T__14

          public static final int T__14

      See Also:
        Constant Field Values

    - #### EOF

          public static final int EOF

      See Also:
        Constant Field Values

    - #### dfa12

          protected org.eclipse.viatra.query.tooling.generator.model.parser.antlr.internal.InternalGeneratorModelLexer.DFA12 dfa12

  - ### Constructor Detail

    - #### InternalGeneratorModelLexer

          public InternalGeneratorModelLexer()

    - #### InternalGeneratorModelLexer

          public InternalGeneratorModelLexer(org.antlr.runtime.CharStream input)

    - #### InternalGeneratorModelLexer

          public InternalGeneratorModelLexer(org.antlr.runtime.CharStream input,
                                             org.antlr.runtime.RecognizerSharedState state)

  - ### Method Detail

    - #### getGrammarFileName

          public java.lang.String getGrammarFileName()

      Overrides:
        `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

    - #### mT__11

          public final void mT__11()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__12

          public final void mT__12()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__13

          public final void mT__13()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__14

          public final void mT__14()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_ID

          public final void mRULE_ID()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_INT

          public final void mRULE_INT()
                               throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_STRING

          public final void mRULE_STRING()
                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_ML_COMMENT

          public final void mRULE_ML_COMMENT()
                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_SL_COMMENT

          public final void mRULE_SL_COMMENT()
                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_WS

          public final void mRULE_WS()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_ANY_OTHER

          public final void mRULE_ANY_OTHER()
                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mTokens

          public void mTokens()
                       throws org.antlr.runtime.RecognitionException

      Specified by:
        `mTokens` in class `org.antlr.runtime.Lexer`
      Throws:
        `org.antlr.runtime.RecognitionException`